POST api/order/search
Request Information
URI Parameters
None.
Body Parameters
OrderSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| PersonId | globally unique identifier |
None. |
|
| PlacedFrom | date |
None. |
|
| PlacedTo | date |
None. |
|
| Status | string |
None. |
|
| Statuses | Collection of integer |
None. |
|
| Start | integer |
None. |
|
| Length | integer |
None. |
|
| ExternalOrders | boolean |
None. |
|
| OnlyParadiseOrders | boolean |
None. |
|
| ShortUnique | string |
None. |
|
| SelectedCampaigns | Collection of globally unique identifier |
None. |
|
| SelectedProducts | Collection of globally unique identifier |
None. |
|
| IncludeExternalOrders | boolean |
None. |
|
| CountryCodes | Collection of string |
None. |
|
| Currencies | Collection of string |
None. |
Request Formats
application/json, text/json
Sample:
{
"personId": "769995f9-225f-4fa5-81e4-1edd43bf8fbd",
"placedFrom": "2026-11-07T02:25:39.7873776+01:00",
"placedTo": "2026-11-07T02:25:39.7873776+01:00",
"status": "sample string 1",
"statuses": [
1,
2
],
"start": 2,
"length": 3,
"externalOrders": true,
"onlyParadiseOrders": true,
"shortUnique": "sample string 4",
"selectedCampaigns": [
"05fd7954-5837-4cb6-82ce-d0160f5a1104",
"546ca36f-d8c2-49a9-a815-72d073441854"
],
"selectedProducts": [
"b8164d9b-7482-4e76-a4b2-ec1bdeeea606",
"1f856af0-3d02-44df-bcef-cdd3f64cf185"
],
"includeExternalOrders": true,
"countryCodes": [
"sample string 1",
"sample string 2"
],
"currencies": [
"sample string 1",
"sample string 2"
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.